# Diffusion Limitée par Agrégation (DLA)

Ce projet NetLogo simule un processus de **diffusion limitée par agrégation** (DLA), un phénomène naturel dans lequel des particules effectuant un mouvement brownien s’agrègent autour d’un noyau initial.

## Contenu

- `dla.nlogo` : Modèle complet NetLogo avec interface, simulation, et documentation.
- `doc/analyse.md` : Analyse scientifique détaillée du modèle.
- `README.md` : Présentation générale du projet.

## Lancement du modèle

1. Ouvrir `dla.nlogo` avec NetLogo.
2. Cliquer sur **Setup** pour initialiser le modèle.
3. Cliquer sur **Go** pour démarrer la simulation.

## Fonctionnalités

- **Mouvement brownien** : Les particules se déplacent aléatoirement dans l’espace 2D grâce à une rotation aléatoire et un déplacement d’une unité.
- **Agrégation** : Les particules s’agrègent lorsqu’elles entrent en contact avec une autre particule déjà agrégée ou le noyau initial.
- **Visualisation de l’âge** : Chaque particule change de couleur en fonction de son âge (nombre de cycles avant agrégation), allant du blanc à l’orange foncé.
- **Rayon maximal** : Le rayon maximal de l’agrégat est calculé dynamiquement en fonction de la distance maximale atteinte par une particule agrégée.

## Observations

- Les particules commencent leur mouvement à des positions aléatoires dans l’espace.
- Le noyau initial est placé au centre de l’espace (coordonnées `(0, 0)`).
- Les structures générées sont fractales et illustrent des comportements auto-organisés.
- Plus les particules mettent de temps à s’agréger, plus leur couleur est foncée.

## Références

- [Wiki du cours - DLA](https://git.litislab.fr/dolivier/VieArtificielle/-/wikis/exercices/DiffusionLimiteParAggregation)
- [Analyse scientifique](doc/analyse.md) : Étude détaillée des comportements et résultats du modèle.