globals [
  center-x
  center-y
  max-radius
]

turtles-own [
  age        ; nombre de ticks avant agrégation
  stuck?     ; si la particule est agrégée
]

to setup
  clear-all
  set center-x 0
  set center-y 0
  set max-radius 0
  ; créer le noyau de départ au centre
  crt 1 [
    setxy center-x center-y
    set color white
    set stuck? true
    set age 0
  ]
  ; créer les particules mobiles
  create-turtles 3000 [
    setxy random-xcor random-ycor
    set color white
    set stuck? false
    set age 0
  ]
  reset-ticks
end

to go
  ask turtles with [not stuck?] [
    brownian-motion
    set age age + 1
    if check-attachment [
      set stuck? true
      set color age-color
      update-max-radius
    ]
  ]
  tick
end

to brownian-motion
  rt random 360
  fd 1
end

to-report check-attachment
  report any? turtles with [stuck?] in-radius 1
end

to update-max-radius
  let r distancexy center-x center-y
  if r > max-radius [ set max-radius r ]
end

to-report age-color
  let a age
  if a > 200 [ set a 200 ] ; clamp age to avoid overflow
  report scale-color orange a 0 200
end
