# Analyse du modèle DLA (Diffusion Limitée par Agrégation)

## Objectif

Ce modèle vise à simuler et visualiser des structures fractales créées par agrégation de particules en mouvement brownien. Il permet d'explorer les comportements auto-organisés dans des systèmes physiques ou biologiques.

---

## Comportement du modèle

### 1. Mouvement
- Les particules se déplacent aléatoirement (mouvement brownien) dans l’espace 2D.
- Leur déplacement est simulé par une rotation aléatoire (`rt random 360`) suivie d’un déplacement d’une unité (`fd 1`).

### 2. Agrégation
- Lorsqu’une particule entre en contact avec une autre déjà fixée (agrégée), elle devient à son tour fixée.
- L’agrégat grandit progressivement autour du noyau initial situé au centre.

### 3. Âge
- L’âge d’une particule correspond au nombre de cycles (`ticks`) avant qu’elle s’agrège.
- Il est représenté par une variation de **couleur** : plus une particule met de temps à s’agréger, plus sa couleur tend vers l’orange foncé (via `scale-color orange`).

### 4. Rayon maximal
- Le rayon maximal de l’agrégat est mis à jour dynamiquement en fonction de la distance maximale atteinte par une particule agrégée.

---

## Observations et remarques

- **Densité de l’agrégat** : Plus les particules se déplacent lentement, plus l’agrégation est dense.
- **Temps de capture** : L’âge moyen des particules agrégées donne une indication sur le temps nécessaire pour qu’une particule soit capturée par l’agrégat.
- **Structure fractale** : Le modèle génère des structures fractales naturelles, caractéristiques des processus de diffusion limitée par agrégation.

---

## Conclusion

Ce modèle met en évidence comment un **mécanisme simple** (mouvement brownien et agrégation) peut produire des **formes complexes** et naturelles. Il offre une plateforme d’expérimentation riche pour comprendre la formation des structures par auto-organisation.